Help - Search - Members - Calendar
Full Version: Magma Crash When Changing Presets
Plugivery Forums > Official Manufacturers Forums > Nomad Factory
Boydbob
I've been looking at various forums for information on using Magma, as I just bought it.
One issue I saw frequently was Magma crashing (and the DAW) when changing presets.

Using Win10-64bit and Reaper with an empty project and one track:
1. I Load a Magma preset, wait and then change to a new preset.
Magma causes Reaper to crash.

2. I Load a preset, wait and replace the loaded Preset with the "Empty Preset" before loading new Preset
Nothing crashes, and the new Preset loads almost instantly.

I'm going to test this on my other DAWs as well. I hope it is helpful to others.

Boyd
Ashley Smith
Hi Boyd,

Thank you for the details!

Our Nomad Factory developers and engineers will be looking into such issues in the coming months as the team shifts and collates materials post Bernie's sad passing in January. We're commmited to resolving all issues, updating plug-ins, and releasing great new ones which you've seen in Bus Driver and Drum Tools already (with lots more to come wink.gif ).

Please ensure you log issues with our staff through our new support portal, for quick reply.

NOMAD FACTORY SUPPORT PORTAL

All the best,
shri
Yes, I just bought Magma and it crashes in Reaper the moment I change / replace / remove any fx.

It runs stable only till the first fx is loaded, later within moments it hangs and crashes Reaper.

Please help us! I love Magma for what it can do so please fix these bugs!

bassg
Hello Ashley, according to some users on the KvR forum the earlier versions of Magma were more stable and lot of issues were introduced with the 1.6.6 release (I don't know since I purchased Magma during the promo discount). Would it be possible to make the earlier version available in the download area (alongside with the latest 1.6.6)? For the users who can't really use the newest version...just asking. smile.gif Thanks!
Ashley Smith
Hi all,

Our team had a great meeting yesterday to discuss updating products post our acquisition of Nomad Factory, fixing niggly bugs and reskining with new features etc. Our developers have "a lot" of hard drives to dig through though to locate Bernie's source code and resources, so this may take some time. Nevertheless, we're on the case.

I've uploaded older 1.6.5 to my Dropbox account in the interim if anyone should need it...

Links expired, see post below for new links...

Please note that there may well be inherant issues with older versions too (as they were built on older framework, not that used for 1.6.6). We recommend you back up your sessions before using any earlier version(s) and advise all to use the latest and most up-to-date 1.6.6.
bassg
Wow, thanks a lot, Ashley! I'll give it a try in the evening to see if it helps to solve my problems . smile.gif Btw. I understand it must be difficult for the team to take over the old code, it's great to hear though they're taking the effort. And let me state here that I am absolutely happy with both Magma (I demoed it first before the purchase so I was aware of the problems; it's a lovely plugin anyway!) and ISP bundle purchases (there are some real gems in the bundle which I started to use regularly in my projects). Thanks again for your great support!
Ashley Smith
QUOTE (bassg @ Jun 9 2016, 01:02 PM) *
Wow, thanks a lot, Ashley! I'll give it a try in the evening to see if it helps to solve my problems . smile.gif Btw. I understand it must be difficult for the team to take over the old code, it's great to hear though they're taking the effort. And let me state here that I am absolutely happy with both Magma (I demoed it first before the purchase so I was aware of the problems; it's a lovely plugin anyway!) and ISP bundle purchases (there are some real gems in the bundle which I started to use regularly in my projects). Thanks again for your great support!


You're most welcome! cool.gif
misho
I'm also having crashing issues, among other bugs, with 1.6.6 on osx 10.10.5. Can you repost installer for earlier version?
Ashley Smith
QUOTE (misho @ Jun 16 2017, 05:54 PM) *
I'm also having crashing issues, among other bugs, with 1.6.6 on osx 10.10.5. Can you repost installer for earlier version?


Here you go...

Win 64
Win 32
Mac
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2017 Invision Power Services, Inc.